Name:		rekonq
License:	GPLv3+
Version:	0.7.0
Release:	%mkrel 2
Group:		Graphical desktop/KDE
Summary:	A lightweight, WebKit based web browser for KDE
URL:		http://rekonq.kde.org/
Source:		http://downloads.sourceforge.net/rekonq/%{name}-%{version}.tar.bz2
# Patch 0 provides default mandriva bookmark 
Patch0:		rekonq-0.7.0-mga-add-mageia-www-in-bookmark.patch
# Patch 1 provides some mandriva sites in default rekonq preview
# Patch 1 also fix the default website to point to /usr/share/doc/HTML/index.html
Patch1:		rekonq-0.7.0-mga-add-mageia-www-in-preview.patch
BuildRequires:	kdelibs4-devel >= 2:4.6.0
# Package konqueror is currently required because it's providing cookies,proxie & web shortcut support in rekonq
Requires:	kdebase4-common
Provides:	webclient

%description
rekonq is a KDE browser based on Webkit. Its code is based on Nokia
QtDemoBrowser, just like Arora. Anyway its implementation is going to embrace
KDE technologies to have a full-featured KDE web browser.

%files -f %name.lang
%defattr(-,root,root)
%{_kde_bindir}/%{name}
%{_kde_libdir}/libkdeinit4_%{name}.so
%{_kde_appsdir}/%{name}/
%{_kde_datadir}/config.kcfg/%{name}.kcfg
%{_kde_iconsdir}/hicolor/*/apps/%{name}.png
%{_kde_applicationsdir}/%{name}.desktop

#----------------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p0
%patch1 -p0

%build
%cmake_kde4
%make

%install
%__rm -rf %buildroot
%makeinstall_std -C build

%find_lang %{name} --with-html

%clean
%__rm -rf %{buildroot}



%changelog
* Tue Apr 05 2011 mikala <mikala> 0.7.0-2.mga1
+ Revision: 80619
- Use /usr/share/indexhtml/index.html for index.html

* Mon Apr 04 2011 mikala <mikala> 0.7.0-1.mga1
+ Revision: 80269
- Update tarball to 0.7.0
- Rediff patch against 0.7.0

* Fri Feb 25 2011 mikala <mikala> 0.6.1-3.mga1
+ Revision: 59977
- Fix rekonq URL (in spec & patch0 & patch1)
- Add requires to kdebase4-common & not konqueror anymore
- Add suggests webclient

* Fri Feb 25 2011 dmorgan <dmorgan> 0.6.1-2.mga1
+ Revision: 59332
- Rediff patch0

  + mikala <mikala>
    - imported package rekonq


* Mon Jan 10 2011 John Balcaen <balcaen.john@gmail.com> 0.6.1-2mga1
- Rediff patch0 & patch1 (drop mandriva www,add mageia)

* Mon Oct 11 2010 John Balcaen <mikala@mandriva.org> 0.6.1-1mdv2011.0                                                                                               
+ Revision: 584922                                                                                                                                                  
- Update to 0.6.1                                                                                                                                                   
                                                                                                                                                                    
* Sat Oct  2 2010 John Balcaen <mikala@mandriva.org> 0.6.0-1mdv2011.0                                                                                               
+ Revision: 582413                                                                                                                                                  
- Update to 0.6.0                                                                                                                                                   
                                                                                                                                                                    
* Sun Aug 22 2010 Funda Wang <fwang@mandriva.org> 0.5.80-1mdv2011.0                                                                                                 
+ Revision: 571788                                                                                                                                                  
- update to new version 0.5.80                                                                                                                                      
                                                                                                                                                                    
* Fri Jul  9 2010 Funda Wang <fwang@mandriva.org> 0.5.0-1mdv2011.0                                                                                                  
+ Revision: 549885                                                                                                                                                  
- New version 0.5.0                                                                                                                                                 
                                                                                                                                                                    
* Sat Mar 13 2010 Funda Wang <fwang@mandriva.org> 0.4.0-1mdv2010.1                                                                                                  
+ Revision: 518643                                                                                                                                                  
- new version 0.4.0                                                                                                                                                 
                                                                                                                                                                    
* Thu Feb 11 2010 Funda Wang <fwang@mandriva.org> 0.3.90-1mdv2010.1                                                                                                 
+ Revision: 504123                                                                                                                                                  
- New version 0.3.90 (based on kdewebkit)                                                                                                                           
                                                                                                                                                                    
  + John Balcaen <mikala@mandriva.org>                                                                                                                              
    - Update patch1 (now use /usr/share/doc/HTML/index.html as default homepage)                                                                                    
                                                                                                                                                                    
* Fri Nov 27 2009 John Balcaen <mikala@mandriva.org> 0.3.0-2mdv2010.1                                                                                               
+ Revision: 470526                                                                                                                                                  
- Add a Requires against konqueror (package is currently providing cookies,proxy & web shorcut support for rekonq)                                                  
- add patch0 to change default bookmarks                                                                                                                            
- add patch1 to change default preview                                                                                                                              
                                                                                                                                                                    
* Thu Nov 26 2009 John Balcaen <mikala@mandriva.org> 0.3.0-1mdv2010.1                                                                                               
+ Revision: 470312                                                                                                                                                  
- Update to 0.3.0                                                                                                                                                   
- use %%find_lang macro                                                                                                                                              
- fix some buildrequires                                                                                                                                            
                                                                                                                                                                    
* Tue Oct 20 2009 Raphaël Gertz <rapsys@mandriva.org> 0.2.0-0.1mdv2010.0                                                                                            
+ Revision: 458489                                                                                                                                                  
- First release and import rekonq files                                                                                                                             
- Created package structure for rekonq.
